POST api/medistreamprogramstepapi/add?siteId={siteId}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| siteId | globally unique identifier |
None. |
Body Parameters
MediStreamProgramStepViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
None. |
|
| program_id | globally unique identifier |
Required |
|
| code | integer |
Required Range: inclusive between 0 and ∞ |
|
| name | string |
Required |
|
| medistream_program_step_type_id | globally unique identifier |
Required |
|
| active | boolean |
Required |
Request Formats
application/json, text/json
Sample:
{
"id": "cae4e1c6-1614-49ab-9d7b-d3dcca0ad339",
"program_id": "02429036-741d-425a-9054-706979b8a7a8",
"code": 3,
"name": "sample string 4",
"medistream_program_step_type_id": "f417ec00-d2b7-41cf-8fdf-9edbb6fca7d1",
"active": true
}
application/xml, text/xml
Sample:
<medistream_program_step xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel"> <active>true</active> <code>3</code> <id>cae4e1c6-1614-49ab-9d7b-d3dcca0ad339</id> <medistream_program_step_type_id>f417ec00-d2b7-41cf-8fdf-9edbb6fca7d1</medistream_program_step_type_id> <name>sample string 4</name> <program_id>02429036-741d-425a-9054-706979b8a7a8</program_id> </medistream_program_step>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
globally unique identifierResponse Formats
application/json, text/json
Sample:
"e63d5537-4cd5-4cd3-bddb-a78df59de05f"
application/xml, text/xml
Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">e63d5537-4cd5-4cd3-bddb-a78df59de05f</guid>